## vbox3 0.1.9.3

=== doc/Makefile ===
MANPAGES=../debian/vboxgetty.8 ../debian/vboxputty.8

all: INSTALL .manpages

INSTALL: install.html
	w3m -dump install.html > INSTALL

.manpages:
	for i in $(MANPAGES); do \
	  rman -S -f html -r '' < $$i | \
	  sed -e 's}NAME="sect\([0-9]*\)" HREF="#toc[0-9]*">\(.*\)}NAME="sect\1">\2}g ; \
	  s}<A HREF="#toc">Table of Contents</A>}<a href="http://smarden.org/pape/">G. Pape</a><br><A HREF="index.html">vbox3</A><hr>}g ; \
	  s}<!--.*-->}}g' \
	  > `basename $$i`.html ; \
	done ; \
	touch .manpages

clean:
	rm -f .manpages
	find . -name '*~' -exec rm -f {} \;
	find . -name '\#?*' -exec rm -f {} \;
	find . -name '.??*~' -exec rm -f {} \;

## vbox3 0.1.7.1

=== debian/changelog ===
vbox3 (0.1.7.1) stable-security; urgency=high

  * vboxgetty/voice.c: bug: permissions were not dropped accurately before
    running user-controlled tclscript; a user was able to gain root
    permissions through the tclscript. fix: fork(), setgid(), setuid() before
    running tclscript, and let main process wait for child.  See bug #218288.
  * CAN-2004-0015

 -- Gerrit Pape <pape@smarden.org>  Fri, 02 Jan 2004 19:37:26 +0000

vbox3 (0.1.7) unstable; urgency=low

  * vboxgetty/voice.c: fix DLE escape sequence handling in audio stream
    (reading and writing). This prevents accidentally hangups by vboxgetty
    when playing audio files containing the byte sequence <DLE><DLE>; this
    also should fix a timeout issue.
  * documentation updated.

 -- Gerrit Pape <pape@smarden.org>  Sat,  2 Mar 2002 14:30:49 +0100

vbox3 (0.1.6) unstable; urgency=low

  * package moved to smarden.org.

 -- Gerrit Pape <pape@smarden.org>  Fri, 23 Nov 2001 16:57:14 +0100

vbox3 (0.1.5) unstable; urgency=low

  * conflicts with isdnvboxserver (closes: #117153).
  * user-emacs-settings is debian/changelog removed.
  * extra-license-file removed.

 -- Gerrit Pape <pape@smarden.org>  Mon, 19 Nov 2001 19:52:02 +0100

vbox3 (0.1.4) unstable; urgency=low

  * changed maintainer email address to <pape@smarden.org>.

 -- Gerrit Pape <pape@smarden.org>  Mon, 24 Sep 2001 16:47:16 +0200

vbox3 (0.1.3) unstable; urgency=low

  * just recommend isdnutils.
  * typos in documentation.

 -- Gerrit Pape <pape@innominate.com>  Fri,  1 Jun 2001 11:49:19 +0200

vbox3 (0.1.2) unstable; urgency=low

  * man pages vboxgetty.8 vboxputty.8 added.
  * vboxputty supports -e switch.

 -- Gerrit Pape <pape@innominate.com>  Thu, 19 Apr 2001 12:02:45 +0200

vbox3 (0.1.1) unstable; urgency=low

  * minor documentation.
  * debian package cleanup.
  * initial upload (closes: #93209)

 -- Gerrit Pape <pape@innominate.com>  Sun, 15 Apr 2001 16:33:55 +0200

vbox3 (0.1.0) unstable; urgency=low

  * Initial Release.

 -- Gerrit Pape <pape@innominate.com>  Sun, 25 Feb 2001 17:36:32 +0100

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: vbox3
Section: utils
Priority: extra
Maintainer: Gerrit Pape <pape@smarden.org>
Standards-Version: 3.5.2
Build-Depends: debhelper (>> 3.0.0), tcl8.0, tcl8.0-dev

Package: vbox3
Architecture: any
Depends: ${shlibs:Depends}
Recommends: isdnutils, raccess4vbox3
Conflicts: isdnvboxserver
Description: voice response system for isdn4linux
 Please install also raccess4vbox3 and refer to
 /usr/share/doc/raccess4vbox3.
 .
 This is vbox3 taken from isdn4k-utils cvs repository
 http://www.isdn4linux.de/cgi-bin/cvsweb.cgi/isdn4k-utils/vbox3/
 on December 2000.
 Since the upstream author no longer works on this project, I applied the
 vboxputty patch and did some more changes, now found in the new source tree
 vbox3-x.x.x.tar.gz.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=2

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	sed -e s/-ltcl/-ltcl8.0/g < configure > configure.debian
	sh ./configure.debian --prefix=/usr \
		--datadir=\$${prefix}/share/isdn \
		--sysconfdir=\$${prefix}/../etc/isdn/vbox \
		--mandir=\$${prefix}/share/man \
		--infodir=\$${prefix}/share/info

	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#/usr/bin/docbook-to-man debian/vbox.sgml > vbox.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean
	rm -f configure.debian
	rm -f debian/*~
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	$(MAKE) install prefix=`pwd`/debian/vbox3/usr

	# install service directories
	cp -pr service/vboxgetty-ttyI? `pwd`/debian/vbox3/etc/isdn/vbox/
	chmod +t `pwd`/debian/vbox3/etc/isdn/vbox/vboxgetty-ttyI?

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
#	dh_installinit
	dh_installman debian/*.8
#	dh_undocumented
#	dh_installchangelogs CHANGES
	dh_installchangelogs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms  -Xetc/isdn/vbox/vboxgetty-ttyI
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## vbox3 0.1.9.1

=== debian/changelog ===
vbox3 (0.1.9.1) unstable; urgency=low

  * debian/control: provide a better long description (closes: #227268).

 -- Gerrit Pape <pape@smarden.org>  Tue, 20 Jan 2004 12:43:07 +0000

vbox3 (0.1.9) unstable; urgency=low

  * debian/rules: build against tcl8.3 instead of tcl8.0 (closes: #205714).
  * debian/control: Build-Depends: tcl8.3-dev; Standards-Version: 3.6.0;
    minor change to long description.

 -- Gerrit Pape <pape@smarden.org>  Wed, 29 Oct 2003 13:38:22 +0000

vbox3 (0.1.8) unstable; urgency=high

  * vboxgetty/voice.c: bug: permissions were not dropped accurately before
    running user-controlled tclscript; a user was able to gain root
    permissions through the tclscript. fix: fork(), setgid(), setuid() before
    running tclscript, and let main process wait for child.
  * doc/index.html: add links to Christian Scheid's vbox3 howto, to Malte J.
    Wetz's user documentation, and to vbox3web.
  * doc/install.html, doc/INSTALL: adapt.
  * debian/copyright: refer to common license file for gpl.

 -- Gerrit Pape <pape@smarden.org>  Tue, 30 Sep 2003 08:34:20 +0000

=== debian/control ===
Source: vbox3
Section: utils
Priority: extra
Maintainer: Gerrit Pape <pape@smarden.org>
Standards-Version: 3.6.0
Build-Depends: debhelper (>> 3.0.0), tcl8.3-dev

Package: vbox3
Architecture: any
Depends: ${shlibs:Depends}
Recommends: isdnutils, raccess4vbox3
Conflicts: isdnvboxserver
Description: voice response system for isdn4linux
 vbox3 can answer phone calls on ISDN lines, and also initiate phone
 calls itself.  In a simple configuration it can act as a answering
 machine, playing and recording messages, recorded messages are
 forwarded through email.  With the help of the raccess4vbox3 package
 it's possible to create a complete voice response system, with DTMF
 touch-tone support, navigating through menus, and even remote
 controlling your Debian system.
 .
 See http://smarden.org/pape/vbox3/ for details.

=== debian/rules ===
--- 
+++ 
@@ -12,12 +12,13 @@
 configure-stamp:
 	dh_testdir
 	# Add here commands to configure the package.
-	sed -e s/-ltcl/-ltcl8.0/g < configure > configure.debian
+	sed -e s/-ltcl/-ltcl8.3/g < configure > configure.debian
 	sh ./configure.debian --prefix=/usr \
 		--datadir=\$${prefix}/share/isdn \
 		--sysconfdir=\$${prefix}/../etc/isdn/vbox \
 		--mandir=\$${prefix}/share/man \
-		--infodir=\$${prefix}/share/info
+		--infodir=\$${prefix}/share/info \
+		--with-tcl-include=/usr/include/tcl8.3
 
 	touch configure-stamp

## vbox3 0.1.9.2

=== debian/changelog ===
vbox3 (0.1.9.2) unstable; urgency=medium

  * debian/control: Recommends: isdnutils-base, instead if isdnutils which
    actually is a conflict in sarge (thx Tobias Stefan Richter, closes:
    #269939).
  * debian/rules: use CFLAGS='-O1 -Wall', instead of -O2 to work around
    miscompilation on i386 (thx Tobias Stefan Richter, closes: #270117, works
    around: #270336).

 -- Gerrit Pape <pape@smarden.org>  Wed, 22 Sep 2004 12:32:57 +0000

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 	dh_testdir
 	# Add here commands to configure the package.
 	sed -e s/-ltcl/-ltcl8.3/g < configure > configure.debian
-	sh ./configure.debian --prefix=/usr \
+	CFLAGS='-O1 -Wall' sh ./configure.debian --prefix=/usr \
 		--datadir=\$${prefix}/share/isdn \
 		--sysconfdir=\$${prefix}/../etc/isdn/vbox \
 		--mandir=\$${prefix}/share/man \

## vbox3 0.1.9.3

=== debian/changelog ===
vbox3 (0.1.9.3) unstable; urgency=low

  * vboxgetty/vboxrc.c: vboxrc_parse(): unsigned char *dummy -> char *dummy
    (closes: #270336).
  * debian/rules: use CFLAGS='-O2 -Wall' again.

 -- Gerrit Pape <pape@smarden.org>  Sat,  5 Feb 2005 20:47:40 +0000

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 	dh_testdir
 	# Add here commands to configure the package.
 	sed -e s/-ltcl/-ltcl8.3/g < configure > configure.debian
-	CFLAGS='-O1 -Wall' sh ./configure.debian --prefix=/usr \
+	CFLAGS='-O2 -Wall' sh ./configure.debian --prefix=/usr \
 		--datadir=\$${prefix}/share/isdn \
 		--sysconfdir=\$${prefix}/../etc/isdn/vbox \
 		--mandir=\$${prefix}/share/man \

## vbox3 0.1.9.4

=== debian/changelog ===
vbox3 (0.1.9.4) unstable; urgency=low

  * config.sub, config.guess: update from autotools-dev package (thx Cyril
    Brulebois).
  * apply patch to build on GNU/kFreeBSD (thx Cyril Brulebois; closes:
    #415581).

 -- Gerrit Pape <pape@smarden.org>  Tue, 10 Apr 2007 14:15:18 +0000

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Package: vbox3
 Architecture: any
 Depends: ${shlibs:Depends}
-Recommends: isdnutils, raccess4vbox3
+Recommends: isdnutils-base, raccess4vbox3
 Conflicts: isdnvboxserver
 Description: voice response system for isdn4linux
  vbox3 can answer phone calls on ISDN lines, and also initiate phone
